Install

There are packages for major platforms. You can install PGroonga easily.

There are separated documents for these platforms. And there is a document for building PGroonga from source.

Here are supported PostgreSQL versions:

If your PostgreSQL is older than them, you need to upgrade your PostgreSQL before you install PGroonga.

See a document for your platform in the followings:

If you can't find your platform in the above list, build and install from source or send a request as an issue.

Uninstall

You can uninstall PGroonga by the following SQL:

DROP EXTENSION pgroonga CASCADE;

If you're using PostgreSQL 9.5 or earlier, you need to also run the following SQL:

DELETE FROM pg_catalog.pg_am WHERE amname = 'pgroonga';